#ifndef XGFXIMAGELOADDEF_H
#define XGFXIMAGELOADDEF_H

#include "xasset.h"
#include "xgfxtexture.h"

#include <QVector>

class XGfxImageLoadDef : public XAsset
{
public:
    XGfxImageLoadDef();
    ~XGfxImageLoadDef();

    virtual void ParseData(QDataStream* aStream) override;
    virtual void Clear() override;

private:
    quint8 mLevelCount;
    quint8 mFlags;
    QVector<qint16> mDimensions;
    int mFormat;
    XGfxTexture* mTexture;
};

#endif // XGFXIMAGELOADDEF_H
